<?php

use App\Http\Middleware\SetUser;

Route::group([
    'middleware' => [
        SetUser::class
    ],
    'prefix' => 'thread/{slug}'
], function() {
    Route::get('reply', CreateHandler::class)->name('reply');
});

Route::group([
    'middleware' => [
        SetUser::class
    ],
    'prefix' => 'post'
], function() {
    Route::get('{uuid}', EditHandler::class)->name('post-edit');
    Route::post('store', StoreHandler::class)->name('post-store');
    Route::post('update', UpdateHandler::class)->name('post-update');
    Route::post('destroy', DestroyHandler::class)->name('post-destroy');
});
